Bug 261325 - kmix crash when clicking on systray icon
Summary: kmix crash when clicking on systray icon
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-26 23:06 UTC by Martin Koller
Modified: 2012-01-29 12:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2010-12-26 23:06:43 UTC
Application: kmix (3.8-alpha)
KDE Platform Version: 4.5.90 (4.6 RC1)
Qt Version: 4.7.1
Operating System: Linux 2.6.34.7-0.5-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

I configured kmix to NOT "enable system tray volume control" and clicked on the systray icon -> crash.

When I now restart kmix, the mixer window appears and the systray icon. Clicking on it always crashes kmix.

Enabling system tray volume control again first leads to a crash, but after a restart, clicking on systray icon does no longer crash kmix.

The crash can be reproduced every time.

-- Backtrace:
Application: KMix (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb597e710 (LWP 32405))]

Thread 2 (Thread 0xab2d3b70 (LWP 32410)):
#0  0xb5c7d22b in clock_gettime (clock_id=1, tp=0xab2d3020) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb6e8e265 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb6f61d26 in updateCurrentTime (this=0x83b55cc, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x83b55cc, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb6f6055b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xab2d311c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb6f605fd in timerSourcePrepare (source=0x83b5598, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb5bd10c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb5bd1f22 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb5bd260e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb6f60da7 in QEventDispatcherGlib::processEvents (this=0x83bad38, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb6f3189d in QEventLoop::processEvents (this=0xab2d32b0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb6f31ac9 in QEventLoop::exec (this=0xab2d32b0, flags=...) at kernel/qeventloop.cpp:201
#13 0xb6e307a9 in QThread::exec (this=0x83ae180) at thread/qthread.cpp:490
#14 0xb6f114ad in QInotifyFileSystemWatcherEngine::run (this=0x83ae180) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb6e3339a in QThreadPrivate::start (arg=0x83ae180) at thread/qthread_unix.cpp:285
#16 0xb6db7b25 in start_thread () from /lib/libpthread.so.0
#17 0xb616746e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb597e710 (LWP 32405)):
[KCrash Handler]
#7  QMetaObject::cast (this=0xb7874ad0, obj=0x7) at kernel/qmetaobject.cpp:266
#8  0xb2705abc in qobject_cast<KMenu*> (this=0x8406a30, pos=...) at /usr/include/QtCore/qobject.h:366
#9  KMixDockWidget::activate (this=0x8406a30, pos=...) at /usr/src/debug/kdemultimedia-4.5.90/kmix/gui/kmixdockwidget.cpp:297
#10 0xb764b463 in KStatusNotifierItemDBus::Activate (this=0x842dff0, x=1249, y=838) at /usr/src/debug/kdelibs-4.5.90/kdeui/notifications/kstatusnotifieritemdbus_p.cpp:316
#11 0xb77c43a1 in StatusNotifierItemAdaptor::Activate (this=0x8475aa8, x=1249, y=838) at /usr/src/debug/kdelibs-4.5.90/build/kdeui/statusnotifieritemadaptor.cpp:135
#12 0xb77c5261 in StatusNotifierItemAdaptor::qt_metacall (this=0x8475aa8, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfdafddc)
    at /usr/src/debug/kdelibs-4.5.90/build/kdeui/statusnotifieritemadaptor.moc:169
#13 0xb5d6ae17 in QDBusConnectionPrivate::deliverCall (this=0x8472d18, object=0x8475aa8, msg=..., metaTypes=..., slotIdx=-1215870256) at qdbusintegrator.cpp:919
#14 0xb5d6bc97 in QDBusConnectionPrivate::activateCall (this=0x8472d18, object=0x8475aa8, flags=273, msg=...) at qdbusintegrator.cpp:822
#15 0xb5d6c428 in QDBusConnectionPrivate::activateObject (this=0x8472d18, node=..., msg=..., pathStartPos=138897272) at qdbusintegrator.cpp:1399
#16 0xb5d6c928 in QDBusActivateObjectEvent::placeMetaCall (this=0x8107950) at qdbusintegrator.cpp:1493
#17 0xb6f47b7f in QObject::event (this=0x842dff0, e=0x8107950) at kernel/qobject.cpp:1211
#18 0xb642e414 in QApplicationPrivate::notify_helper (this=0x8108b88, receiver=0x842dff0, e=0x8107950) at kernel/qapplication.cpp:4445
#19 0xb6437137 in QApplication::notify (this=0x80e2df8, receiver=0x842dff0, e=0x8107950) at kernel/qapplication.cpp:3845
#20 0xb759f541 in KApplication::notify (this=0x80e2df8, receiver=0x842dff0, event=0x8107950) at /usr/src/debug/kdelibs-4.5.90/kdeui/kernel/kapplication.cpp:311
#21 0xb6f325be in QCoreApplication::notifyInternal (this=0x80e2df8, receiver=0x842dff0, event=0x8107950) at kernel/qcoreapplication.cpp:732
#22 0xb6f3634c in sendEvent (receiver=0x0, event_type=0, data=0x80582b0) at kernel/qcoreapplication.h:215
#23 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x80582b0) at kernel/qcoreapplication.cpp:1373
#24 0xb6f3649c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#25 0xb6f60bd4 in sendPostedEvents (s=0x810aea8) at kernel/qcoreapplication.h:220
#26 postEventSourceDispatch (s=0x810aea8) at kernel/qeventdispatcher_glib.cpp:277
#27 0xb5bd1b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0xb5bd2350 in ?? () from /usr/lib/libglib-2.0.so.0
#29 0xb5bd260e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0xb6f60d5b in QEventDispatcherGlib::processEvents (this=0x80e0168, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#31 0xb64e49aa in QGuiEventDispatcherGlib::processEvents (this=0x80e0168, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#32 0xb6f3189d in QEventLoop::processEvents (this=0xbfdb06e4, flags=...) at kernel/qeventloop.cpp:149
#33 0xb6f31ac9 in QEventLoop::exec (this=0xbfdb06e4, flags=...) at kernel/qeventloop.cpp:201
#34 0xb6f36570 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#35 0xb642c114 in QApplication::exec () at kernel/qapplication.cpp:3719
#36 0xb26fbf63 in kdemain (argc=3, argv=0x80cfbc8) at /usr/src/debug/kdemultimedia-4.5.90/kmix/apps/main.cpp:76
#37 0x0804e521 in launch (argc=3, _name=0x80ac5f4 "/usr/bin/kmix", args=<value optimized out>, cwd=0x0, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x80525e3 "0") at /usr/src/debug/kdelibs-4.5.90/kinit/kinit.cpp:730
#38 0x0804f057 in handle_launcher_request (sock=8, who=<value optimized out>) at /usr/src/debug/kdelibs-4.5.90/kinit/kinit.cpp:1222
#39 0x0804f6fc in handle_requests (waitForPid=<value optimized out>) at /usr/src/debug/kdelibs-4.5.90/kinit/kinit.cpp:1415
#40 0x08050579 in main (argc=) at /usr/src/debug/kdelibs-4.5.90/kinit/kinit.cpp:1903

Reported using DrKonqi
Comment 1 Christian Esken 2011-12-30 14:31:16 UTC
Thanks for your bug report. This bug is quite likely fixed. Please try again with KDE4.7, KDE4.8 or trunk and report back.
Comment 2 Martin Koller 2011-12-30 18:58:52 UTC
Testing this problem with 4.8-RC1:
The crash does no longer appear, so this problem is fixed.
However when I no reactivate the "system tray volume control" and click on
the systray icon, the slider now suddenly shows up horizontally despite my configuration of having them vertically (in fact all sliders in the main window show correctly vertically).
I have no idea how I can change that back to vertically again, and it seems this is a new bug.
Shall I create a new bug report or do you handle it with this one ?
Comment 3 Sebastian Kügler 2012-01-02 10:37:40 UTC
Please create a new report, it's an entirely different issue.
Comment 4 Martin Koller 2012-01-29 12:06:27 UTC
The new bug is already there as bug 292492. Closing this one.